﻿#region Copyright Syncfusion Inc. 2001 - 2012
// Copyright Syncfusion Inc. 2001 - 2012. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Syncfusion.Mvc.Diagram;

namespace MVCSampleBrowser.Models
{
    public class Company
    {
        /// <summary>
        /// Gets or sets the dept id.
        /// </summary>
        /// <value>The dept id.</value>
        public string DeptId { get; set; }
        /// <summary>
        /// Gets or sets the name of the dept.
        /// </summary>
        /// <value>The name of the dept.</value>
        public string DeptName { get; set; }
        /// <summary>
        /// Gets or sets the head dept.
        /// </summary>
        /// <value>The head dept.</value>
        public string HeadDept { get; set; }
        /// <summary>
        /// Gets or sets the shape.
        /// </summary>
        /// <value>The shape.</value>
        public Shapes Shape { get; set; }
        /// <summary>
        /// Gets or sets the width.
        /// </summary>
        /// <value>The width.</value>
        public int Width { get; set; }
        /// <summary>
        /// Gets or sets the height.
        /// </summary>
        /// <value>The height.</value>
        public int Height { get; set; }
    }

    /// <summary>
    /// 
    /// </summary>
    public class CompanyDataContext
    {
        /// <summary>
        /// Gets the company.
        /// </summary>
        /// <value>The company.</value>
        public List<Company> Company
        {
            get
            {
                List<Company> company = new List<Company>();
                company.Add(new Company() { DeptId = "Client", DeptName = "Client", HeadDept = "0", Height = 50, Width = 150, Shape = Shapes.RoundedRectangle });
                company.Add(new Company() { DeptId = "Company", DeptName = "Company", HeadDept = "Client", Height = 50, Width = 150, Shape = Shapes.RoundedRectangle });
                company.Add(new Company() { DeptId = "Plant", DeptName = "Plant", HeadDept = "Company", Height = 50, Width = 150, Shape = Shapes.RoundedRectangle });
                company.Add(new Company() { DeptId = "Sales", DeptName = "Sales Organisation", HeadDept = "Company", Height = 50, Width = 150, Shape = Shapes.RoundedRectangle });
                company.Add(new Company() { DeptId = "Purchase", DeptName = "Purchase Organisation", HeadDept = "Company", Height = 50, Width = 150, Shape = Shapes.RoundedRectangle });
                company.Add(new Company() { DeptId = "Shipping", DeptName = "Shipping Point", HeadDept = "Plant", Height = 50, Width = 150, Shape = Shapes.RoundedRectangle });
                company.Add(new Company() { DeptId = "WholeSale", DeptName = "WholeSale Distribution", HeadDept = "Sales", Height = 50, Width = 150, Shape = Shapes.RoundedRectangle });
                company.Add(new Company() { DeptId = "Internet", DeptName = "Internet Distribution", HeadDept = "Sales", Height = 50, Width = 150, Shape = Shapes.RoundedRectangle });
                company.Add(new Company() { DeptId = "Division1", DeptName = "Division", HeadDept = "WholeSale", Height = 50, Width = 150, Shape = Shapes.RoundedRectangle });
                company.Add(new Company() { DeptId = "Division2", DeptName = "Division", HeadDept = "WholeSale", Height = 50, Width = 150, Shape = Shapes.RoundedRectangle });
                company.Add(new Company() { DeptId = "Division3", DeptName = "Division", HeadDept = "Internet", Height = 50, Width = 150, Shape = Shapes.RoundedRectangle });
                company.Add(new Company() { DeptId = "Division4", DeptName = "Division", HeadDept = "Internet", Height = 50, Width = 150, Shape = Shapes.RoundedRectangle });
                return company;
            }
        }
    }
}